Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class Handler

    java.lang.Object
      java.net.URLStreamHandler
          org.apache.axis.transport.jms.Handler

public class Handler
extends java.net.URLStreamHandler

URLStreamHandler for the "jms" protocol

Author:
  Ray Chun (rchun@sonicsoftware.com)

Constructor Summary
`Handler()`

Method Summary
`protected java.net.URLConnection` | `openConnection(java.net.URL url)`
`protected java.lang.String` | `toExternalForm(java.net.URL url)` Reassembles the URL string, in the form "jms:/?prop1=value1&prop2=value2&..."

Methods inherited from class java.net.URLStreamHandler
`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Handler

    public Handler()

Method Detail

### toExternalForm

    protected java.lang.String toExternalForm(java.net.URL url)

  Reassembles the URL string, in the form "jms:/?prop1=value1&prop2=value2&..."

### openConnection

    protected java.net.URLConnection openConnection(java.net.URL url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.